Ubuntu

[Karmic] Touchpad not recognised correctly, synaptics driver not in use

Reported by Conn O Griofa on 2009-05-25
500
This bug affects 100 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Declined for Jaunty by Jeremy Foshee
Declined for Karmic by Jeremy Foshee
Lucid
Undecided
Tim Gardner
Maverick
Undecided
Tim Gardner
Natty
Undecided
Unassigned
xserver-xorg-input-synaptics (Ubuntu)
Undecided
Unassigned
Declined for Jaunty by Jeremy Foshee
Declined for Karmic by Jeremy Foshee
Lucid
Undecided
Unassigned
Maverick
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

Binary package hint: xserver-xorg-input-synaptics

I have performed a fresh install of Karmic Alpha 1 i386 on my laptop, a Dell Inspiron 510m. The touchpad is not correctly identified - the generic mouse driver is being used, so certain features (such as tap-to-click) are not available.

The touchpad was correctly detected in previous versions of Ubuntu (Jaunty, Intrepid and Hardy) by default.

Debug logs included, and relevant output is pasted below.

conn@inspiron:~$ cat /var/log/Xorg.0.log | grep -i mouse
(==) intel(0): Silken mouse enabled
(II) config/hal: Adding input device Macintosh mouse button emulation
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event3"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(**) Macintosh mouse button emulation: (accel) keeping acceleration scheme 1
(**) Macintosh mouse button emulation: (accel) filter chain progression: 2.00
(**) Macintosh mouse button emulation: (accel) filter stage 0: 20.00 ms
(**) Macintosh mouse button emulation: (accel) set acceleration profile 0
(II) config/hal: Adding input device PS/2 Mouse
(**) PS/2 Mouse: always reports core events
(**) PS/2 Mouse: Device: "/dev/input/event8"
(II) PS/2 Mouse: Found 3 mouse buttons
(II) PS/2 Mouse: Found x and y relative axes
(II) PS/2 Mouse: Configuring as mouse
(**) PS/2 Mouse: YAxisMapping: buttons 4 and 5
(**) PS/2 Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "PS/2 Mouse" (type: MOUSE)
(**) PS/2 Mouse: (accel) keeping acceleration scheme 1
(**) PS/2 Mouse: (accel) filter chain progression: 2.00
(**) PS/2 Mouse: (accel) filter stage 0: 20.00 ms
(**) PS/2 Mouse: (accel) set acceleration profile 0

ProblemType: Bug
Architecture: i386
Date: Mon May 25 03:26:31 2009
DistroRelease: Ubuntu 9.10
Package: xserver-xorg-input-synaptics 1.1.1~git20090510-1
ProcEnviron:
 LANG=en_IE.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.30-6.7-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4~5ubuntu20
 libgl1-mesa-glx 7.4.1-1ubuntu1
 libdrm2 2.4.9-2ubuntu1
 xserver-xorg-video-intel 2:2.7.1-1ubuntu1
 xserver-xorg-video-ati 1:6.12.2-1ubuntu1
SourcePackage: xserver-xorg-input-synaptics
Uname: Linux 2.6.30-6-generic i686
system:
 distro: Ubuntu
 architecture: i686kernel: 2.6.30-6-generic

Conn O Griofa (psyke83) wrote :

Architecture: i386
DistroRelease: Ubuntu 9.10
Package: xserver-xorg-input-synaptics 1.1.1~git20090510-1
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_IE.UTF-8
ProcVersionSignature: Ubuntu 2.6.30-6.7-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4~5ubuntu20
 libgl1-mesa-glx 7.4.1-1ubuntu1
 libdrm2 2.4.9-2ubuntu1
 xserver-xorg-video-intel 2:2.7.1-1ubuntu1
 xserver-xorg-video-ati 1:6.12.2-1ubuntu1
Uname: Linux 2.6.30-6-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
system:
 distro: Ubuntu
 architecture: i686kernel: 2.6.30-6-generic

Conn O Griofa (psyke83) wrote :
Justin Chudgar (justinzane) wrote :

Confirmed with Xorg.0.log showing same details. HP Mininote 2133. 2.6.30-6-generic kernel.

gsynaptics allows enabling of tap to click, but horizontal or vertical scrolling no longer work.

SRElysian (srelysian) wrote :

Can confirm same issue on the HP Pavilion dv9610us. No tap-click, no scroll:

~$ cat /var/log/Xorg.0.log | grep -i mouse
(==) NVIDIA(0): Silken mouse enabled
(II) config/hal: Adding input device Macintosh mouse button emulation
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event4"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(**) Macintosh mouse button emulation: (accel) keeping acceleration scheme 1
(**) Macintosh mouse button emulation: (accel) filter chain progression: 2.00
(**) Macintosh mouse button emulation: (accel) filter stage 0: 20.00 ms
(**) Macintosh mouse button emulation: (accel) set acceleration profile 0

patcito (patcito) wrote :

As a workaround, if I use my index and middle finger at the same time, it works :)

patcito (patcito) wrote :

I meant vertical scrolling works.

Viral_Weaponry (inartaly) wrote :

Acer Aspire 3050
4GB RAM DDR2
1.8Ghz Mobile AMD Sempron 64bit
Synaptics Touchpad

Same here, drivers not working and lost touchpad features.
Im running karmic alpha1 64bit

Tom Wright (twright-tdw) wrote :

Same issue on not one but two (completely different) laptops running Karmic

Tom Wright (twright-tdw) wrote :

This regression is probably caused by the switch to udev. Is anyone with a Synaptics touchpad not experiencing it?

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Confirmed

See /usr/share/doc/xserver-xorg-input-synaptics/NEWS.Debian.gz for solution.

Don't know why gnome-mouse-properties doesn't set the TapButtons ... I guess it needs to catch up with Xorg changes.

SRElysian (srelysian) wrote :

To: Andreas Henriksson

Unfortunately in my case (and probably others), the synaptics driver doesn't actually seem to be loading. Typing the options listed in that news file doesn't seem to effect the mouse at all.

SRElysian:

The synaptics driver loads here. Could you please provide your Xorg.0.log or atleast the output of "grep -c Synaptics /var/log/Xorg.0.log" ?

Could you please also provide the output of lshal or atleast the output of "lshal | grep -c input.touchpad" to see if the HAL finds your touchpad at all?

SRElysian (srelysian) wrote :

$ grep -c Synaptics /var/log/Xorg.0.log
15

$ lshal | grep -c input.touchpad
1

This is rather odd.. it seems to actually find my touchpad (which is good in some respects)..

$ cat /var/log/Xorg.0.log | grep Synaptics
(II) config/hal: Adding input device SynPS/2 Synaptics TouchPad
(II) Synaptics touchpad driver version 1.1.0
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(II) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(II) SynPS/2 Synaptics TouchPad: finger width range 0 - 0
(II) SynPS/2 Synaptics TouchPad: buttons: left right middle double triple
(--) SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) filter chain progression: 2.00
(**) SynPS/2 Synaptics TouchPad: (accel) filter stage 0: 20.00 ms
(**) SynPS/2 Synaptics TouchPad: (accel) set acceleration profile 0
(--) SynPS/2 Synaptics TouchPad: touchpad found

$ lshal | grep input.touchpad
  info.capabilities = {'input', 'input.touchpad'} (string list)

$ sudo tpconfig -i
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

... however, as I stated previously.. using those options found in the news file didn't allow touch clicking, and my scroll is broken too (there's a designated area on the right of the touchpad for it). It seems to me, that while it is detecting it, it's not applying the proper driver for it. Strange thing is, I've never had this issue in any previous distro of Kubuntu.

> ... however, as I stated previously.. using those options found in the news file didn't allow touch clicking, and my scroll is broken too (there's a designated area on the right of the touchpad for it). It seems to me, that while it is detecting it, it's not applying the proper driver for it. Strange thing is, I've never had this issue in any previous distro of Kubuntu.

Could you please be less vague?
Are you aware the default configuration has changed to Mac touchpad behaviour?
Are you aware Mac touch scrolling doesn't have a dedicated area but instead use the "2 fingers" method?
Are you aware there's no way for the driver to detect if your vendor painted a "scrollbar" on your touchpad?
If you are having problems using the tools (synclient or gpointing-device-settings) to restore the old default configuration, could you please include a detailed description of what is failing? (ie. what did you do? what happened? what did you expect to happen?)

Maybe this discussion should all be taken to a forum somewhere instead of being discussed here?!

I'm going to unsubscribe for now. Feel free to contact me directly via email if anyone needs assistance, but if you do make sure to back up your statements with proof, do *not* jump to conclusions and clearly mark your *guesses* as such.

SRElysian (srelysian) wrote :

There is no reason to be rude here. I was not vague at all, i merely made the assumption that you read the file you suggested other people read in regards to re-enabling tap-clicking, which I stated did not work for me.

No, I was not aware that it defaults to mac touchpad behavior, but considering I am not using a mac touch pad, I am rather displeased that it's behavior is being forced on me by default.

Yes, I am aware that there is no way to detect a "painted scrollbar" on my touchpad, however, all laptops I've owned have had this painted scrollbar, and up until now that area on the touchpad has worked as a scroller. Granted, mentioning it was not very useful in any respect, but it was first thing in the morning and I decided to mention it, though I did so in parenthesis to suggest it was a personal note.

Considering no "official" has stepped in to decide whether or not this is a bug, or just new behavior we are supposed to accept as the new standard, I am going to continue treating it like a bug. If there is a way to restore behavior, perhaps you could have mentioned it rather that berate me after I pasted the corresponding information you asked me for? I would think that more people are eventually going to notice this behavior and wish to restore it, so sharing that information would be a nice thing to do, especially for those of us, myself included, who weren't aware that the behavior was completely "changed".

SRElysian (srelysian) wrote :

If I have time later I may pop in my Jaunty live CD, I am unsure of what changed between then and now as far as default configurations are concerned.. however.. after poking around in /etc/hal/fdi/policy/ as well as /usr/share/hal/fdi/policy/20thirdpolicy (some sites suggest the default file is in "10osvendor"), I managed to come up with a custom FDI file that restored all my synaptics functions back to the way they were.

Andreas will probably slap me for this, as I probably should have checked these earlier, and did not. However, the fdi system is fairly new to some people (myself included), so I am going to attach my custom file in the hopes it will help someone else out and prevent them from also being slapped.

As I stated though, it is unclear to me whether this change was intended or not. In the case where it was accidental, I suppose it'd still be considered a bug. If it was intended, I am certain this bug report will eventually be closed.

At any rate, the attached file is my fdi policy. The quick instructions are;

Download to .. wherever.
sudo cp 99-x11-synaptics.fdi /etc/hal/fdi/policy/
reboot

I added some comments in the file as to what things are, most are fairly self explanatory. Any questions about it can be emailed to me directly through my profile and I can try to help you out.

Tom Wright (twright-tdw) wrote :

Tap to click is an essential feature to enable by default. From experience it was incessantly annoying when disabled by default in fedora. Quite a lot of newer laptops (including my eeePc) depend on it as the either have harder to click physical buttons or some have none at all. Fedora seems to have a better version of the options panel which allows control of tap to click. For whatever reason the options do not work in the karmic version so that is what this bug is about (I think), if the default options are different then old versions and are being applied as expected then I will file another bug for it. Users generally expect their touchpads to be fully functional out of the box and do not want to look around the options just to get basic stuff to work. I am a big fan of two finger scrolling but it should be enables as well as traditional edge scrolling (touchpads have marking on them giving the expectation of it) as well, both vertically and horizontally.

Right, that is enough antagonising for now - good luck in sorting everything out for another great release :-)

SRElysian: I'm sorry if I offended you. It was not my intention. I only wanted to give helpful suggestions. Also, none of my laptops have the (visual indication of) touchpad scrollbars. Doesn't really matter either way. No one configuration is going to suit everybody. Your fdi file is the perfect solution for you, thanks for sharing it so other people can use it who are in your situation. What changed is Xorg. Ubuntu didn't ship any configuration (fdi) so whatever was used was the defaults in the Xorg binary. (That's a way simplified description. Alot more changed. Xorgs own builtin hardware abstraction was totally replaced with using HAL.)

Tom Wright: Apple disagrees with you on tap-to-click being an essential feature. Apparently so does the Xorg people nowadays. Hence, my suggestion to discuss the defaults on some forum with wider audience to reach consensus on what the "best" default configuration is.

Tom Wright (twright-tdw) wrote :

Right, would most people agree that brainstorm is the right place or IRC or the forums? Apple only have to support their own products which are designed to work without tap to click. If you have every used eeePc's or some new smaller laptops the physical buttons are nearly unclickable so it is just about impossible to use with the current default settings. Maybe being device dependant it should be disabled for certain devices where it would cause issues with input rather than a whitelist (we can't test every device) as it is far more noticeable not to have an essential feature than to have one that not everyone would use.

Conn O Griofa (psyke83) wrote :

People,

You're hijacking my bug report. If you read my Xorg.0.log you'll see that the Synaptics driver isn't being loaded at all - this is my issue, not tap-to-click being disabled by default.

Although I also prefer tap-to-click to be enabled by default, this is not the problem. The problem is that it's using a the generic "mouse" driver and not "synaptics". Let's keep the bug report relevant, and file separate issues in other reports.

Tom Wright (twright-tdw) wrote :

@Conn
You are completely right - as I said before this issue is about the inability for the options to be correctly applied and not about the default options. I have created a new bug report here: https://bugs.edge.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/384641 and will look in to anyone's suggestions about wider discussion. Anyone who wants to debate that issue should reply there although it can be said to depend on this bug.

Right, over and out...

SRElysian (srelysian) wrote :

Conn, I could not find your full Xorg log, you seem to have only posted your grep via "mouse". Could you run the following commands that Andreas had suggested to me previously?

grep -c Synaptics /var/log/Xorg.0.log

lshal | grep -c input.touchpad

If the 2 commands produce a number higher than 1, can you then post the information from the following commands?

cat /var/log/Xorg.0.log | grep Synaptics

lshal | grep input.touchpad

PS: Sorry if we hijacked your bug report, I was under the assumption that you did what I did.. which was assume synaptics would be listed as a "mouse" and therefore be displayed on a grep. Realizing I had no tap-click or scroll, I decided to run a search for it and found this bug report, ran the same command you did, which produced the same results and never even looked at my whole Xorg.0.log file. If you do not have the synaptics driver at all, perhaps myself or some others can help you out.

Conn O Griofa (psyke83) wrote :

As I said, the synaptics driver is not being used.

conn@inspiron:~$ grep -i synaptics /var/log/Xorg.0.log
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
(II) Synaptics touchpad driver version 1.1.0

Note: although the output indicates the module is loaded, that doesn't mean it is in use.

conn@inspiron:~$ lshal | grep input.touchpad
  info.capabilities = {'input', 'input.mouse', 'input.touchpad'} (string list)

Conn O Griofa (psyke83) wrote :

Hmm, now I'm not so certain. Although there is no output indicating that the synaptics driver is being used (as opposed to merely being loaded), it seems the driver is in use.

I tried to manually enable tap-to-click via "synclient TapButton1=1" - and it worked. I also tried to remove the xserver-xorg-input-synaptics package,, and the mouse behaviour changed after restarting X (mouse movements were accelerated too much). This indicates that the synaptics driver was being used correctly.

In Jaunty and earlier I would see output in my Xorg.0.log similar to SRElysian in comment #14; perhaps the newest driver in Karmic does not display this information any longer.

SRElysian (srelysian) wrote :

@Conn,
If this is the case.. grab my custom fdi file from the previous post and follow the instructions, if everything works as it should you should have tap-clicking and vertical scrolling re-enabled, I also left the 2 finger scrolling active in case anyone wanted both but you can easily tweak out the file to change the values to false/0/whatever.

Tom Wright (twright-tdw) wrote :

I would presume then that the bug is in the options being applied then, in this case I think that Fedora is either using a newer version or a patch as they have more options and it actually workes. Now that the touchpad settings dialogue has gone upstream (from the Ubuntu patch), I presume we just need to make sure that a sufficiently new version is used and that there is not a Ubuntu patch clobbering the upstream version. Of course I might be completely wrong but this seems the solution.

Steffen Rusitschka (rusi) wrote :

The recent update of xserver-xorg-input-synaptics fixed this bug for me.

perriman (chuchiperriman) wrote :

In py packard bell "dot" the touchpad works nice with the pointer and scroll but when I try to do a click with the touchpad (not the button) it doesn't work. In jaunty i was working fine. I'm using karmic UNR edition

(II) config/hal: Adding input device SynPS/2 Synaptics TouchPad
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
(II) Synaptics touchpad driver version 1.1.2
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(II) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(II) SynPS/2 Synaptics TouchPad: finger width range 0 - 0
(II) SynPS/2 Synaptics TouchPad: buttons: left right middle
(--) SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) filter chain progression: 2.00
(**) SynPS/2 Synaptics TouchPad: (accel) filter stage 0: 20.00 ms
(**) SynPS/2 Synaptics TouchPad: (accel) set acceleration profile 0
(--) SynPS/2 Synaptics TouchPad: touchpad found

Sean Seago (speedkreature) wrote :

Having the same problem on my System76 Pangolin Performance...

:~$ cat /var/log/Xorg.0.log | grep Synaptics
(II) config/hal: Adding input device SynPS/2 Synaptics TouchPad
(II) Synaptics touchpad driver version 1.1.2
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(II) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(II) SynPS/2 Synaptics TouchPad: finger width range 0 - 0
(II) SynPS/2 Synaptics TouchPad: buttons: left right middle
(--) SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD)
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) filter chain progression: 2.00
(**) SynPS/2 Synaptics TouchPad: (accel) filter stage 0: 20.00 ms
(**) SynPS/2 Synaptics TouchPad: (accel) set acceleration profile 0
(--) SynPS/2 Synaptics TouchPad: touchpad found

:~$ lshal | grep input.touchpad
info.capabilities = {'input', 'input.touchpad'} (string list)

Bryce Harrington (bryce) on 2009-09-02
tags: added: karmic
Alberto Milone (albertomilone) wrote :

If the following command returns something then you're not affected by this bug (feel free to file a new bug report):

grep -i synaptics /var/log/Xorg.0.log

If the command doesn't return anything, please attach the output of the following command:
dmesg

Furthermore this looks more like a kernel issue to me.

Changed in xserver-xorg-input-synaptics (Ubuntu):
status: Confirmed → Invalid
knorr (a-sokolov) wrote :

On Toshiba Satellite L40

dmesg |grep synaptics
[ 8.748665] synaptics was reset on resume, see synaptics_resume_reset if you have trouble on resume
[ 9.634730] synaptics: Toshiba Satellite L40 detected, limiting rate to 40pps.

cat /var/log/Xorg.0.log|grep Syn
(II) Synaptics touchpad driver version 1.1.2
Query no Synaptics: 6003C8
(EE) Mouse0 Unable to query/initialize Synaptics hardware.
(II) config/hal: Adding input device SynPS/2 Synaptics TouchPad
(II) Synaptics touchpad driver version 1.1.2
SynPS/2 Synaptics TouchPad The /dev/input/event* device nodes seem to be missing
Query no Synaptics: 000000
(--) SynPS/2 Synaptics TouchPad: no supported touchpad found
(EE) SynPS/2 Synaptics TouchPad Unable to query/initialize Synaptics hardware.
(EE) PreInit failed for input device "SynPS/2 Synaptics TouchPad"

hal:
31: udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port_logicaldev_input'
  input.originating_device = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port' (string)
  linux.hotplug_type = 2 (0x2) (int)
  info.capabilities = { 'input', 'input.touchpad' } (string list)
  linux.subsystem = 'input' (string)
  input.device = '/dev/event8' (string)
  input.product = 'SynPS/2 Synaptics TouchPad' (string)
  input.x11_driver = 'synaptics' (string)
  info.subsystem = 'input' (string)
  info.product = 'SynPS/2 Synaptics TouchPad' (string)
  linux.sysfs_path = '/sys/devices/platform/i8042/serio4/input/input8/event8' (string)
  info.parent = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port' (string)
  info.udi = '/org/freedesktop/Hal/devices/platform_i8042_i8042_AUX3_port_logicaldev_input' (string)
  info.category = 'input' (string)
  linux.device_file = '/dev/event8' (string)

Andrea Amoroso (heiko81) wrote :

I solved my problem..I just disabled ubuntu tweak for Jaunty and that was enough..I had enabled the repo for the X server, I think that this was the problem..

Andrea

perriman (chuchiperriman) wrote :

Today with karmic beta1 I have seen that in the gdm window, the touchpad click works fine!!!! But when I login into the gnome desktop, it doesn't work.

perriman (chuchiperriman) wrote :

My touchpad is working with the latest updates made today. If you need any info about my touchpad, make me know.

Download full text (54.1 KiB)

Hi,

I have the same problem here on an HP dv3500 laptop.

Here is my ouput of "dmesg">>

[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Linux version 2.6.31-14-generic (buildd@rothera) (gcc version 4.4.1 (Ubuntu 4.4.1-4ubuntu8) ) #48-Ubuntu SMP Fri Oct 16 14:04:26 UTC 2009 (Ubuntu 2.6.31-14.48-generic)
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] NSC Geode by NSC
[ 0.000000] Cyrix CyrixInstead
[ 0.000000] Centaur CentaurHauls
[ 0.000000] Transmeta GenuineTMx86
[ 0.000000] Transmeta TransmetaCPU
[ 0.000000] UMC UMC UMC UMC
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009e000 (usable)
[ 0.000000] BIOS-e820: 000000000009e000 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000e0000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 00000000bcbbc000 (usable)
[ 0.000000] BIOS-e820: 00000000bcbbc000 - 00000000bcbbf000 (ACPI NVS)
[ 0.000000] BIOS-e820: 00000000bcbbf000 - 00000000bde6b000 (usable)
[ 0.000000] BIOS-e820: 00000000bde6b000 - 00000000bdebf000 (reserved)
[ 0.000000] BIOS-e820: 00000000bdebf000 - 00000000bdf86000 (usable)
[ 0.000000] BIOS-e820: 00000000bdf86000 - 00000000bdfbf000 (ACPI NVS)
[ 0.000000] BIOS-e820: 00000000bdfbf000 - 00000000bdfe1000 (usable)
[ 0.000000] BIOS-e820: 00000000bdfe1000 - 00000000bdff6000 (ACPI data)
[ 0.000000] BIOS-e820: 00000000bdff6000 - 00000000be000000 (usable)
[ 0.000000] BIOS-e820: 00000000be000000 - 00000000c0000000 (reserved)
[ 0.000000] BIOS-e820: 00000000f8000000 - 00000000fc000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 00000000fec01000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed10000 - 00000000fed14000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed18000 - 00000000fed1a000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed1c000 - 00000000fed20000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[ 0.000000] BIOS-e820: 00000000fff00000 - 0000000100000000 (reserved)
[ 0.000000] BIOS-e820: 0000000100000000 - 0000000140000000 (usable)
[ 0.000000] DMI 2.4 present.
[ 0.000000] last_pfn = 0xbe000 max_arch_pfn = 0x100000
[ 0.000000] MTRR default type: uncachable
[ 0.000000] MTRR fixed ranges enabled:
[ 0.000000] 00000-9FFFF write-back
[ 0.000000] A0000-CFFFF uncachable
[ 0.000000] D0000-DFFFF write-protect
[ 0.000000] E0000-FFFFF uncachable
[ 0.000000] MTRR variable ranges enabled:
[ 0.000000] 0 base 000000000 mask F80000000 write-back
[ 0.000000] 1 base 080000000 mask FC0000000 write-back
[ 0.000000] 2 base 0BE000000 mask FFE000000 uncachable
[ 0.000000] 3 base 100000000 mask FC0000000 write-back
[ 0.000000] 4 disabled
[ 0.000000] 5 disabled
[ 0.000000] 6 base 0FFF00000 mask FFFF00000 write-protect
[ 0.000000] 7 disabled
[ 0.000000] x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
[ 0.000000] e820 update range: 0000000000002000 - 000000000...

Sorry for paste the output. Here is attached. If you want, you can delete the older post.

[original post]
Hi,

I have the same problem here on an HP dv3500 laptop.

Here is my ouput of "dmesg">>

jicapone (jicapone1) wrote :

Hello,

I was having the issue described above. I just removed the option from /etc/modprobe.d/psmouse.modprobe and the synaptics driver is now being used. See http://www.linuxquestions.org/questions/slackware-14/slackware-current-synaptics-touchpad-problem-732856/

Hope this helps.

Download full text (4.0 KiB)

Thanks!!!
That worked for me too.

I just only commented the following line in
/etc/modprobe.d/psmouse.modprobe:

*options psmouse proto=exps*

I hope this work for other users with the same problem.
//J

On Mon, Dec 21, 2009 at 11:58 PM, jicapone <email address hidden> wrote:

> Hello,
>
> I was having the issue described above. I just removed the option from
> /etc/modprobe.d/psmouse.modprobe and the synaptics driver is now being
> used. See http://www.linuxquestions.org/questions/slackware-14
> /slackware-current-synaptics-touchpad-problem-732856/<http://www.linuxquestions.org/questions/slackware-14%0A/slackware-current-synaptics-touchpad-problem-732856/>
>
> Hope this helps.
>
> --
> [Karmic] Touchpad not recognised correctly, synaptics driver not in use
> https://bugs.launchpad.net/bugs/380126
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: New
> Status in “xserver-xorg-input-synaptics” package in Ubuntu: Invalid
>
> Bug description:
> Binary package hint: xserver-xorg-input-synaptics
>
> I have performed a fresh install of Karmic Alpha 1 i386 on my laptop, a
> Dell Inspiron 510m. The touchpad is not correctly identified - the generic
> mouse driver is being used, so certain features (such as tap-to-click) are
> not available.
>
> The touchpad was correctly detected in previous versions of Ubuntu (Jaunty,
> Intrepid and Hardy) by default.
>
> Debug logs included, and relevant output is pasted below.
>
> conn@inspiron:~$ cat /var/log/Xorg.0.log | grep -i mouse
> (==) intel(0): Silken mouse enabled
> (II) config/hal: Adding input device Macintosh mouse button emulation
> (**) Macintosh mouse button emulation: always reports core events
> (**) Macintosh mouse button emulation: Device: "/dev/input/event3"
> (II) Macintosh mouse button emulation: Found 3 mouse buttons
> (II) Macintosh mouse button emulation: Found x and y relative axes
> (II) Macintosh mouse button emulation: Configuring as mouse
> (**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
> (**) Macintosh mouse button emulation: EmulateWheelButton: 4,
> EmulateWheelInertia: 10, EmulateWheelTimeout: 200
> (II) XINPUT: Adding extended input device "Macintosh mouse button
> emulation" (type: MOUSE)
> (**) Macintosh mouse button emulation: (accel) keeping acceleration scheme
> 1
> (**) Macintosh mouse button emulation: (accel) filter chain progression:
> 2.00
> (**) Macintosh mouse button emulation: (accel) filter stage 0: 20.00 ms
> (**) Macintosh mouse button emulation: (accel) set acceleration profile 0
> (II) config/hal: Adding input device PS/2 Mouse
> (**) PS/2 Mouse: always reports core events
> (**) PS/2 Mouse: Device: "/dev/input/event8"
> (II) PS/2 Mouse: Found 3 mouse buttons
> (II) PS/2 Mouse: Found x and y relative axes
> (II) PS/2 Mouse: Configuring as mouse
> (**) PS/2 Mouse: YAxisMapping: buttons 4 and 5
> (**) PS/2 Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10,
> EmulateWheelTimeout: 200
> (II) XINPUT: Adding extended input device "PS/2 Mouse" (type: MOUSE)
> (**) PS/2 Mouse: (accel) keeping acceleration scheme 1
> (**) PS/2 Mouse: (accel) filter chain progression:...

Read more...

Hajime Mizuno (mizuno-as) wrote :

As for Dell Vostro V13, the synaptics driver doesn't load.
The edge scroll cannot be used though the tap click is effective.
In gnome-mouse-properties, there is no TapButtons tab.

$ sudo tpconfig -i
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

$ cat /var/log/Xorg.0.log
(...snip...)
(II) config/hal: Adding input device PS/2 Generic Mouse
(**) PS/2 Generic Mouse: always reports core events
(**) PS/2 Generic Mouse: Device: "/dev/input/event10"
(II) PS/2 Generic Mouse: Found 3 mouse buttons
(II) PS/2 Generic Mouse: Found x and y relative axes
(II) PS/2 Generic Mouse: Configuring as mouse
(**) PS/2 Generic Mouse: YAxisMapping: buttons 4 and 5
(**) PS/2 Generic Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "PS/2 Generic Mouse" (type: MOUSE)
(**) PS/2 Generic Mouse: (accel) keeping acceleration scheme 1
(**) PS/2 Generic Mouse: (accel) filter chain progression: 2.00
(**) PS/2 Generic Mouse: (accel) filter stage 0: 20.00 ms
(**) PS/2 Generic Mouse: (accel) set acceleration profile 0
(II) PS/2 Generic Mouse: initialized for relative axes.
(II) config/hal: Adding input device Macintosh mouse button emulation
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event4"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(**) Macintosh mouse button emulation: (accel) keeping acceleration scheme 1
(**) Macintosh mouse button emulation: (accel) filter chain progression: 2.00
(**) Macintosh mouse button emulation: (accel) filter stage 0: 20.00 ms
(**) Macintosh mouse button emulation: (accel) set acceleration profile 0
(II) Macintosh mouse button emulation: initialized for relative axes.
(...snip...)

tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Confirmed
tags: removed: needs-upstream-testing
tags: added: kernel-input
tags: added: kernel-needs-review
37 comments hidden view all 117 comments
bagl0312 (bagl0312) wrote :

Confirm I am affected by the same bug on dell precision M4500 with Maverick 10.10 64bits

John Garrigus (john-garrigus) wrote :

I am running Ubuntu 9.04 on a Dell Vostro 13 and am affected by this bug.

Odin Hørthe Omdal (velmont) wrote :

This bug seems to be a broader version of this bug: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/359363

I'm also on Dell Precision M4500 with Ubuntu 10.10 64 bit. It might even be a duplicate?

bagl0312 (bagl0312) wrote :

@Odin I don't know if this bug is really a duplicated of 359363 or 550625

In Bug 550625 I found a solution which enables the scrolling with the touchpad of my Dell M4500:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/550625

The solution described (see #154, #203 and other entries) is based on recompiling psmouse.ko module with the patch described in #154.
After installing the recompiled module the scrolling works, even if the touchpad is still not recognized in gnome-mouse-properties.

I tested it in 10.10 64 bits.

For your convenience I report here the list of commands needed to recompile the module:

1) Install kernel headers:
 sudo apt-get build-dep --no-install-recommends linux-image-$(uname -r)
 apt-get source linux-image-$(uname -r)

this creates a "linux-[your-version]" directory into your home

install git:
 sudo apt-get install git

change into it:
 cd src/drivers/input/mouse

and backup alps.c, alps.h, psmouse.h

apply patch (take the patch from entry #154 above):

patch -p0 < 2.6.35-alps-730264-imps-emulation.patch

make & install:
 make -C /lib/modules/`uname -r`/build M=`pwd` psmouse.ko
 sudo rmmod psmouse
 sudo cp psmouse.ko /lib/modules/`uname -r`/kernel/drivers/input/mouse/
 sudo modprobe psmouse

Lars Fehr (lars-fehr) wrote :

@bagl0312

Thanks for your detailed description.
I tried your suggested solution, but it has no effect on my Dell Vostro v13.

The mouse still works, but there is no scrolling support.

Who else tried this solution with a Dell Vostro v13? Did anyone succeed?

Dmitry Balabolin (dbalabolin) wrote :

Dell Vostro 13 Ubuntu 9.04 installed.
Touchpad not recognized
Change to Mint 9
same result
try all from google.
Confirm error

Mark Santiago (mpsantiago) wrote :

I've tried every suggestion I could find, still no luck (Dell Vostro V13)

Marcin Naglik (marcin-naglik) wrote :

Can anybody test the patch:
https://bugzilla.kernel.org/attachment.cgi?id=41862

attached to the:
https://bugzilla.kernel.org/show_bug.cgi?id=15416

It's coded for Vostro V13, but currently I don't have the V13 to test it.

Thanks a lot for the output.
Cheers,
Marcin

I can test patch, but not know how to :(((
I'm not have enough experience in linux.
Can you give me reference to information about applying patches?
This letter written on Vostro 13.
(before this BUG I was glad to buy laptop with ubuntu onboard)
With best regards,
Dmitry Balabolin
Moscow.

31.12.2010 16:18, Marcin Naglik пишет:
> regaCan anybody test the patch:
> https://bugzilla.kernel.org/attachment.cgi?id=41862
>
> attached to the:
> https://bugzilla.kernel.org/show_bug.cgi?id=15416
>
> It's coded for Vostro V13, but currently I don't have the V13 to test
> it.
>
> Thanks a lot for the output.
> Cheers,
> Marcin
>

diroots (diroots) wrote :

Hello you all

This post to tell that I tested the patch yesterday.
Good news! now I have a fully fonctionnal synaptics touchpad on my Vostro V13

I applied the patch on a 2.6.32 kernel
I am using Linux Mint LMDE, debian based on testing branch.

Now my synaptics touchpad is well recognized on gpointing-device-settings, and all options seems to work (horizontal, vertical and circle scrolling, lock of the pad when typing on the keyboard, ...)

I followed this tutorial (in french, sorry) :
http://ashgenesis.developpez.com/linux/kernel-debian/

so to give a summary of what I did, for other to test :
I modified my /etc/apt/source.list to include sources :
deb-src http://ftp.fr.debian.org/debian testing main contrib non-free

then I download linux-source-2.6.32

I followed first steps, ie :
cd /usr/src
debian:/usr/src# tar -xvjf linux-source-2.6.32.tar.bz2
debian:/usr/src# ln -s linux-source-2.6.32 linux
debian:/usr/src# cp /boot/config-‘uname -r‘ /usr/src/linux/.config

then I downloaded the above patch in the /usr/src directory, named it v13.patch and applied it :
debian:/usr/src#cd linux
debian:/usr/src/linux#patch -p1 < ../V13.patch

once applied, i launched last line of the tutorial to build the kernel (debian style) :
debian:/usr/src/linux#make-kpkg --append-to-version "-v13" --initrd buildpackage --config menuconfig

this last line generated a .deb I installed :
debian:/usr/src/linux#dpkg -i ../linux-image-2.6.32-flo_2.6.32-v13-10.00.Custom_i386.deb

After a reboot, with no xorg.conf specific config file on /etc/X11, with xserver-xorg-input-synaptics installed, my synaptics touchpad now works on my Vostro V13.

Many thanks to the author of the patch!
Very happy to get back a fully functionnal touchpad on my V13

(hoping this will be included in future kernel releases)

and btw,... Happy new year!!

Paul Kolbovich (paulkolbovich) wrote :

Hi. I applied the patch on a 2.6.35 kernel (latest on Ubuntu 10.10 at this time).
Tachpad now works great!
Thankyou, Marcin.
Then I installed the DKMS driver package provided in https://bugs.launchpad.net/bugs/308191 #116 and multitouch now works too.

Paul Kolbovich (paulkolbovich) wrote :

But after wakeup touchpad not working and sometimes at startup i see black screen :(

tp (thomas-ibpfeiffer) wrote :

Hey all

I can confirm that the patch works on kernel 2.6.35.
Thanks to Marcin.
However after suspend/resume the touchpad stops working. To fix this you have to reload the psmouse module:

sudo modprobe -r psmouse && sudo modprobe psmouse

Eugen Anghel (eugen.anghel) wrote :

On my Ubuntu 10.10 with 2.6.35, the touchpad works even after suspend/resume, just that the settings from gpointing-device-settings are not remembered. For example, scrolling from the edge of the touchpad (the default, but previously disabled) works, but scrolling with two fingers (which I had enabled manually) doesn't. If I open gpointing-device-settings and re-check the checkboxes, everything is back again.

Also, I can confirm that you need the package that Paul Kolbovich mentioned to get multitouch to work: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/308191/comments/116

Lars Fehr (lars-fehr) wrote :

Happy New Year everyone.

I applied the patch yesterday on maverick and it works like a charm.
Thank you very much Marcin!

For everyone, who never compiled a kernel before, here's a description of how to do it for the latest ubuntu release maverick meercat.

I followed this tutorial (in german, sorry):
http://wiki.ubuntuusers.de/Kernel/Kompilierung

1. Open a terminal and get a copy of the latest git-repository
git clone git://kernel.ubuntu.com/ubuntu/ubuntu-maverick.git

2. Change into the directory ubuntu-maverick
cd ubuntu-maverick

3. Download the patch, name it v13.patch and save it in your home-directory.
https://bugzilla.kernel.org/attachment.cgi?id=41862

4. Apply the patch
patch -p1 < ../v13.patch

5. Copy your latest existing config from /boot, ie (version number may differ):
cp /boot/config-2.6.35-24-generic .config

6. Download this shell-script and place it in your ubuntu-maverick directory. It's written in german, but it does all the work for you.
http://wiki.ubuntuusers.de/_attachment?target=Kernel%2Fmake-ubuntu-kernel.sh

7. make this script executable
chmod +x make-ubuntu-kernel.sh

8. Start the script with your new kernel-variant as parameter
./make-ubuntu-kernel.sh dellv13

9. be sure you press CTRL-D, when it asks "Änderungen im git-Verzeichnis verwerfen" (revert changes made in the git-dir), as this would revert the previous applied patch.

10. you can also press CTRL-D when it asks "Kernel-Konfiguration bearbeiten" (edit kernel configuration), because you already copied your latest config in step 5.

11. Press Return for all the other questions and start compiling. Now wait for a long time. It took at least 1,5 hours on my Core2Duo SU7300.

12. Now you can find the following files in your home-dir (version number may differ):
linux-doc_2.6.35-25.43_all.deb
linux-headers-2.6.35-25_2.6.35-25.43_all.deb
linux-headers-2.6.35-25-dellv13_2.6.35-25.43_amd64.deb
linux-image-2.6.35-25-dellv13_2.6.35-25.43_amd64.deb
linux-source-2.6.35_2.6.35-25.43_all.deb
linux-tools-common_2.6.35-25.43_all.deb

13. Cd up and install new kernel with headers:
cd ..
sudo dpkg -i linux-headers-2.6.35-25_2.6.35-25.43_all.deb linux-headers-2.6.35-25-dellv13_2.6.35-25.43_amd64.deb linux-image-2.6.35-25-dellv13_2.6.35-25.43_amd64.deb

14. Restart and select your new kernel in your bootmanager grub. Enjoy your working touchpad!

Once again: Thank you very much Marcin.

I hope this patch will be integrated in future kernel releases.

yeticannotski (yeticannotski) wrote :

Marcin, thank you very much for the patch.

Lars Fehr, thank you very much for the step by step tutorial.

I confirm that I have the touchpad working on a Dell V13, even after reboots. Still no two-finger scroll (the option is grayed-out), but vertical scroll yes. That was great. Really.

Only for those that are as numbs on Linux as myself, remember to have all dependencies satisfied in order not to lose two hours of effort only to have a dependency error in the the end (see section "Tolls you'll need"):

https://help.ubuntu.com/community/Kernel/Compile

I also hope that the patch will be integrated into future kernel releases.

mlky (mlky) wrote :

Works on maverick with patched kernel. Touchpad works after suspend, but some synaptics options reset to defaults. Seems gnome/gconf issue like Eugen Anghel noticed.

Burin_Khazad (burin-khazad) wrote :

Thanks a lot for this patch.

If someone is interrested, you can find the kernel 2.6.35-25.43 compiled with this patch in my website : https://www.isorez.fr/ftp

Caution : he is compiled in my vostro v13 with a core2duo T7300 and for 64 bits architectures.

Hope this helps.

Tim Gardner (timg-tpi) wrote :

f8313ef1f448006207f12c107123522c8bc00f15 - Input: i8042 - introduce 'notimeout' blacklist for Dell Vostro V13
Already upstream in 2.6.37

Changed in linux (Ubuntu Natty):
status: Confirmed → Fix Released
Changed in xserver-xorg-input-synaptics (Ubuntu Lucid):
status: New → Invalid
Changed in xserver-xorg-input-synaptics (Ubuntu Maverick):
status: New → Invalid
Changed in linux (Ubuntu Maverick):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Tim Gardner (timg-tpi) on 2011-01-14
Changed in linux (Ubuntu Lucid):
status: New → In Progress
1 comments hidden view all 117 comments
Tim Gardner (timg-tpi) wrote :

Sent backported patch to <email address hidden>

Tim Gardner (timg-tpi) on 2011-01-14
Changed in linux (Ubuntu Lucid):
assignee: nobody → Tim Gardner (timg-tpi)
Tim Gardner (timg-tpi) on 2011-01-18
Changed in linux (Ubuntu Lucid):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Maverick):
status: In Progress → Fix Committed

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Brad Figg (brad-figg) on 2011-02-02
tags: added: verification-needed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Hilmar Demuth (hilmar-demuth) wrote :

Hardware: Dell Vostro V13 and Ubuntu 10.04 (Lucid):
I've enabled (by gui) "lucid-proposed" as described in https://wiki.ubuntu.com/Testing/EnableProposed. But I can only see a xserver-pakage for the geode processor as upgrade for my system?

How can I test the new kernel?

I just tested the proposed package and it solves the problem. It works as well as the kernel I compiled with the patch. For me the verification is done, but I do not know where to change the said tag... Thanks for the good work.

Lars Fehr (lars-fehr) wrote :

I confirm, it works on my Dell v13.

$ uname -a
Linux regnemaskin 2.6.35-26-generic #46-Ubuntu SMP Sun Jan 30 06:59:07 UTC 2011 x86_64 GNU/Linux
$ cat /etc/issue
Ubuntu 10.10 \n \l

Thank you very much!

Tim Gardner (timg-tpi) on 2011-02-03
tags: added: verification-done
removed: verification-needed
znotdead (zhirafchik) wrote :

Confirm touchpad woking
Linux znotdead-laptop 2.6.35-26-generic #46-Ubuntu SMP Sun Jan 30 08:10:51 UTC 2011 i686 GNU/Linux

cat /proc/bus/input/devices
I: Bus=0011 Vendor=0002 Product=0007 Version=01b1
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input8
U: Uniq=
H: Handlers=mouse1 event8
B: EV=b
B: KEY=420 0 30000 0 0 0 0 0 0 0 0
B: ABS=11000003

tags: added: mint9

I have the same problem with a Dell Latitude E4310 on Maverick, but sadly the kernel upgrade in Proposed hasn't fixed it.

andy@erdos:~$ uname -a
Linux erdos 2.6.35-26-generic-pae #46-Ubuntu SMP Sun Jan 30 08:27:58 UTC 2011 i686 GNU/Linux
andy@erdos:~$ cat /etc/issue
Ubuntu 10.10 \n \l

andy@erdos:~$ cat /proc/bus/input/devices
[...]
I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input12
U: Uniq=
H: Handlers=mouse0 event12
B: EV=7
B: KEY=70000 0 0 0 0 0 0 0 0
B: REL=3

andy@erdos:~$ cat /var/log/Xorg.0.log | grep -i mouse
[ 5.364] (==) intel(0): Silken mouse enabled
[ 5.621] (II) config/udev: Adding input device PS/2 Generic Mouse (/dev/input/mouse0)
[ 5.621] (II) config/udev: Adding input device PS/2 Generic Mouse (/dev/input/event12)
[ 5.621] (**) PS/2 Generic Mouse: Applying InputClass "evdev pointer catchall"
[ 5.621] (**) PS/2 Generic Mouse: always reports core events
[ 5.621] (**) PS/2 Generic Mouse: Device: "/dev/input/event12"
[ 5.648] (II) PS/2 Generic Mouse: Found 3 mouse buttons
[ 5.648] (II) PS/2 Generic Mouse: Found relative axes
[ 5.648] (II) PS/2 Generic Mouse: Found x and y relative axes
[ 5.648] (II) PS/2 Generic Mouse: Configuring as mouse
[ 5.648] (**) PS/2 Generic Mouse: YAxisMapping: buttons 4 and 5
[ 5.648] (**) PS/2 Generic Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 5.648] (II) XINPUT: Adding extended input device "PS/2 Generic Mouse" (type: MOUSE)
[ 5.648] (II) PS/2 Generic Mouse: initialized for relative axes.

znotdead (zhirafchik) wrote :

the patch was only Vostro V13 specific. So it wasn't fixed for other vendors and products.

Accepted linux into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Steve Conklin (sconklin) on 2011-02-04
tags: added: verification-needed-lucid

04.02.2011 17:59, Martin Pitt пишет:
> Accepted linux into lucid-proposed, the package will build now and be
> available in a few hours. Please test and give feedback here. See
> https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to
> enable and use -proposed. Thank you in advance!
>
Ok. It's working in Vostro 13 Mint 9 (based on Ubu 10.04)

Dmitry Balabolin (dbalabolin) wrote :

after "proposal" install touchpad working

Brad Figg (brad-figg) on 2011-02-05
tags: added: verification-done-maverick
removed: verification-done
tags: added: verification-done-lucid
removed: verification-needed-lucid
Hilmar Demuth (hilmar-demuth) wrote :

Touchpad working.

$ uname -a
Linux Harno 2.6.32-29-generic #57-Ubuntu SMP Sun Jan 30 03:30:16 UTC 2011 i686 GNU/Linux
$ cat /etc/issue
Ubuntu 10.04.2 LTS

tags: added: verification-done
removed: verification-done-lucid verification-done-maverick
Brad Figg (brad-figg) on 2011-02-07
tags: added: verification-done-lucid verification-done-maverick

Accepted linux into maverick-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Stephan (stephan-hoehne) wrote :

Touchpad is recognised correctly on Dell Vostro V13 with proposed package, now. But two-finger scrolling is still disabled.

Lars Fehr (lars-fehr) wrote :

I confirm again. Touchpad works with new proposed kernel on maverick.

$ uname -a
Linux 2.6.35-27-generic #47-Ubuntu SMP Fri Feb 11 22:52:49 UTC 2011 x86_64 GNU/Linux
$ cat /etc/issue
Ubuntu 10.10 \n \l

---------------------------
@Stephan: for multitouch gestures try to install this package: https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics/+bug/308191/comments/116

Mikael Falgard (sup3rgnu) wrote :

I guess it's already confirmed, but I just wanted to thank you for the fix! This have been driving me nuts..

$ uname -a
Linux dell-desktop 2.6.35-26-generic #46-Ubuntu SMP Sun Jan 30 08:10:51 UTC 2011 i686 GNU/Linux
$ cat /etc/issue
Ubuntu 10.10 \n \l

Jim Baxter (jbaxter) wrote :

I am having the same problem with my Dell Precision M4500

~$ uname -a
Linux gba-jbaxter2-ub 2.6.35-27-generic #48-Ubuntu SMP Tue Feb 22 20:25:46 UTC 2011 x86_64 GNU/Linux

~$ cat /etc/issue
Ubuntu 10.10 \n \l

~$ cat /proc/bus/input/devices
I: Bus=0011 Vendor=0002 Product=0001 Version=0000
N: Name="PS/2 Generic Mouse"
P: Phys=isa0060/serio1/input0
S: Sysfs=/devices/platform/i8042/serio1/input/input13
U: Uniq=
H: Handlers=mouse1 event13
B: EV=7
B: KEY=70000 0 0 0 0
B: REL=3

~$ cat /var/log/Xorg.0.log | grep -i mouse
[ 18.138] (==) NVIDIA(0): Silken mouse enabled
[ 18.484] (II) config/udev: Adding input device PS/2 Generic Mouse (/dev/input/event13)
[ 18.484] (**) PS/2 Generic Mouse: Applying InputClass "evdev pointer catchall"
[ 18.484] (**) PS/2 Generic Mouse: always reports core events
[ 18.484] (**) PS/2 Generic Mouse: Device: "/dev/input/event13"
[ 18.484] (II) PS/2 Generic Mouse: Found 3 mouse buttons
[ 18.484] (II) PS/2 Generic Mouse: Found relative axes
[ 18.484] (II) PS/2 Generic Mouse: Found x and y relative axes
[ 18.484] (II) PS/2 Generic Mouse: Configuring as mouse
[ 18.484] (**) PS/2 Generic Mouse: YAxisMapping: buttons 4 and 5
[ 18.484] (**) PS/2 Generic Mouse: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[ 18.484] (II) XINPUT: Adding extended input device "PS/2 Generic Mouse" (type: MOUSE)
[ 18.484] (II) PS/2 Generic Mouse: initialized for relative axes.
[ 18.484] (II) config/udev: Adding input device PS/2 Generic Mouse (/dev/input/mouse1)

However Synaptics detects it ok
~$ sudo tpconfig -i
Found Synaptics Touchpad.
Firmware: 8.96 (multiple-byte mode).
Sensor type: unknown (0).
Geometry: rectangular/landscape/up.
Packets: absolute, 80 packets per second.
Corner taps disabled; no tap gestures.
Edge motion: none.
Z threshold: 6 of 7.
2 button mode; corner tap is right button click.

Launchpad Janitor (janitor) wrote :
Download full text (5.4 KiB)

This bug was fixed in the package linux - 2.6.32-29.58

---------------
linux (2.6.32-29.58) lucid-proposed; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #716551

  [ Upstream Kernel Changes ]

  * net: fix rds_iovec page count overflow, CVE-2010-3865
    - LP: #709153
    - CVE-2010-3865
  * net: ax25: fix information leak to userland, CVE-2010-3875
    - LP: #710714
    - CVE-2010-3875
  * net: ax25: fix information leak to userland harder, CVE-2010-3875
    - LP: #710714
    - CVE-2010-3875
  * net: packet: fix information leak to userland, CVE-2010-3876
    - LP: #710714
    - CVE-2010-3876
  * net: tipc: fix information leak to userland, CVE-2010-3877
    - LP: #711291
    - CVE-2010-3877
  * inet_diag: Make sure we actually run the same bytecode we audited,
    CVE-2010-3880
    - LP: #711865
    - CVE-2010-3880

linux (2.6.32-29.57) lucid-proposed; urgency=low

  [ Steve Conklin ]

  * Tracking Bug
    - LP: #708864

  [ Tim Gardner ]

  * [Config] Set CONFIG_NR_CPUS=256 for amd64 server
    - LP: #706058

  [ Upstream Kernel Changes ]

  * Input: i8042 - introduce 'notimeout' blacklist for Dell Vostro V13
    - LP: #380126
  * tun: avoid BUG, dump packet on GSO errors
    - LP: #698883
  * TTY: Fix error return from tty_ldisc_open()
    - LP: #705045
  * x86, hotplug: Use mwait to offline a processor, fix the legacy case
    - LP: #705045
  * fuse: verify ioctl retries
    - LP: #705045
  * fuse: fix ioctl when server is 32bit
    - LP: #705045
  * ALSA: hda: Use model=lg quirk for LG P1 Express to enable playback and
    capture
    - LP: #595482, #705045
  * nohz: Fix printk_needs_cpu() return value on offline cpus
    - LP: #705045
  * nohz: Fix get_next_timer_interrupt() vs cpu hotplug
    - LP: #705045
  * nfsd: Fix possible BUG_ON firing in set_change_info
    - LP: #705045
  * NFS: Fix fcntl F_GETLK not reporting some conflicts
    - LP: #705045
  * sunrpc: prevent use-after-free on clearing XPT_BUSY
    - LP: #705045
  * hwmon: (adm1026) Allow 1 as a valid divider value
    - LP: #705045
  * hwmon: (adm1026) Fix setting fan_div
    - LP: #705045
  * amd64_edac: Fix interleaving check
    - LP: #705045
  * IB/uverbs: Handle large number of entries in poll CQ
    - LP: #705045
  * PM / Hibernate: Fix PM_POST_* notification with user-space suspend
    - LP: #705045
  * ACPICA: Fix Scope() op in module level code
    - LP: #705045
  * ACPI: EC: Add another dmi match entry for MSI hardware
    - LP: #705045
  * orinoco: fix TKIP countermeasure behaviour
    - LP: #705045
  * orinoco: clear countermeasure setting on commit
    - LP: #705045
  * x86, amd: Fix panic on AMD CPU family 0x15
    - LP: #705045
  * md: fix bug with re-adding of partially recovered device.
    - LP: #705045
  * tracing: Fix panic when lseek() called on "trace" opened for writing
    - LP: #705045
  * x86, gcc-4.6: Use gcc -m options when building vdso
    - LP: #705045
  * x86: Enable the intr-remap fault handling after local APIC setup
    - LP: #705045
  * x86, vt-d: Handle previous faults after enabling fault handling
    - LP: #705045
  * x86, vt-d: Fix the vt-d fault handling irq migration in the x2apic mode
    - LP: #705045
  * x8...

Read more...

Changed in linux (Ubuntu Lucid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (12.1 KiB)

This bug was fixed in the package linux - 2.6.35-27.48

---------------
linux (2.6.35-27.48) maverick-proposed; urgency=low

  [ Steve Conklin ]

  * Release Tracking Bug
    - LP: #723335

  [ Upstream Kernel Changes ]

  * thinkpad-acpi: avoid keymap pitfall
    - LP: #722747

linux (2.6.35-27.47) maverick-proposed; urgency=low

  [ Brad Figg ]

  * Release Tracking Bug
    - LP: #716532

  [ Upstream Kernel Changes ]

  * Revert "USB: gadget: Allow function access to device ID data during
    bind()"
    - LP: #714732
  * net: fix rds_iovec page count overflow, CVE-2010-3865
    - LP: #709153
    - CVE-2010-3865
  * Input: fix typo in keycode validation supporting large scancodes
    - LP: #658198
  * net: ax25: fix information leak to userland, CVE-2010-3875
    - LP: #710714
    - CVE-2010-3875
  * net: ax25: fix information leak to userland harder, CVE-2010-3875
    - LP: #710714
    - CVE-2010-3875
  * net: packet: fix information leak to userland, CVE-2010-3876
    - LP: #710714
    - CVE-2010-3876
  * net: tipc: fix information leak to userland, CVE-2010-3877
    - LP: #711291
    - CVE-2010-3877
  * posix-cpu-timers: workaround to suppress the problems with mt exec,
    CVE-2010-4248
    - LP: #712609
    - CVE-2010-4248
  * sys_semctl: fix kernel stack leakage, CVE-2010-4083
    - LP: #712749
    - CVE-2010-4083
  * thinkpad-acpi: lock down size of hotkey keymap
    - LP: #712174
  * thinkpad-acpi: add support for model-specific keymaps
    - LP: #712174
  * thinkpad-acpi: Add KEY_CAMERA (Fn-F6) for Lenovo keyboards
    - LP: #712174
  * x86, hotplug: Use mwait to offline a processor, fix the legacy case
    - LP: #714732
  * fuse: verify ioctl retries
    - LP: #714732
  * fuse: fix ioctl when server is 32bit
    - LP: #714732
  * ALSA: hda: Use position_fix=1 for Acer Aspire 5538 to enable capture on
    internal mic
    - LP: #685161, #714732
  * ALSA: hda: Use model=lg quirk for LG P1 Express to enable playback and
    capture
    - LP: #595482, #714732
  * drm/radeon/kms: don't apply 7xx HDP flush workaround on AGP
    - LP: #714732
  * drm/kms: remove spaces from connector names (v2)
    - LP: #714732
  * drm/radeon/kms: fix vram base calculation on rs780/rs880
    - LP: #714732
  * nohz: Fix printk_needs_cpu() return value on offline cpus
    - LP: #714732
  * nohz: Fix get_next_timer_interrupt() vs cpu hotplug
    - LP: #714732
  * nfsd: Fix possible BUG_ON firing in set_change_info
    - LP: #714732
  * NFS: Fix fcntl F_GETLK not reporting some conflicts
    - LP: #714732
  * sunrpc: prevent use-after-free on clearing XPT_BUSY
    - LP: #714732
  * hwmon: (adm1026) Allow 1 as a valid divider value
    - LP: #714732
  * hwmon: (adm1026) Fix setting fan_div
    - LP: #714732
  * EDAC: Fix workqueue-related crashes
    - LP: #714732
  * amd64_edac: Fix interleaving check
    - LP: #714732
  * ASoC: Fix swap of left and right channels for WM8993/4 speaker boost
    gain
    - LP: #714732
  * ASoC: Fix off by one error in WM8994 EQ register bank size
    - LP: #714732
  * ASoC: WM8580: Fix R8 initial value
    - LP: #714732
  * ASoC: fix deemphasis control in wm8904/55/60 codecs
    - LP: #714732
  * bootmem: Add alloc_bootmem_...

Changed in linux (Ubuntu Maverick):
status: Fix Committed → Fix Released
Displaying first 40 and last 40 comments. View all 117 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.